# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2018-03-25 00:24
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('kiss_events', '0001_initial'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='duration',
            options={'verbose_name': 'durée', 'verbose_name_plural': 'durées'},
        ),
        migrations.AlterModelOptions(
            name='event',
            options={'verbose_name': 'événement', 'verbose_name_plural': 'événements'},
        ),
        migrations.AlterModelOptions(
            name='eventtype',
            options={'verbose_name': "type d'événementtype d'événement", 'verbose_name_plural': "types d'événement"},
        ),
        migrations.AlterField(
            model_name='event',
            name='abstract',
            field=models.TextField(verbose_name='résumé'),
        ),
        migrations.AlterField(
            model_name='event',
            name='authors_list',
            field=models.CharField(help_text='Séparez les auteur·e·s avec une virgule.', max_length=255, verbose_name='liste des auteurs'),
        ),
        migrations.AlterField(
            model_name='event',
            name='contact',
            field=models.ForeignKey(help_text='Qui propose cet événement.', on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='contact'),
        ),
        migrations.AlterField(
            model_name='event',
            name='duration',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='kiss_events.Duration', verbose_name='durée (minutes)'),
        ),
        migrations.AlterField(
            model_name='event',
            name='note_for_organizers',
            field=models.TextField(blank=True, help_text='Privé.', verbose_name='note pour les organisateurs'),
        ),
        migrations.AlterField(
            model_name='event',
            name='place',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='kiss_places.Place', verbose_name='a lieu à'),
        ),
        migrations.AlterField(
            model_name='event',
            name='schedule',
            field=models.DateTimeField(blank=True, help_text='Quand cet événement commence', null=True, verbose_name='programme'),
        ),
        migrations.AlterField(
            model_name='event',
            name='status',
            field=models.CharField(choices=[('Accepted', 'Accepté'), ('Not Accepted', 'Refusé'), ('Cancelled', 'Annulé'), ('Waiting', 'En attente'), ('Submitted', 'Proposé')], default='Submitted', max_length=42, verbose_name='statut'),
        ),
        migrations.AlterField(
            model_name='event',
            name='type',
            field=models.ForeignKey(help_text='Le type de cet événement.', on_delete=django.db.models.deletion.CASCADE, to='kiss_events.EventType', verbose_name='type'),
        ),
    ]
